Summary:        A preload library to send shell commands to syslog
Name:           snoopy
Version:        2.5.1
Release:        1%{?dist}
License:        GPL-2.0-or-later
URL:            https://github.com/a2o/snoopy
Source0:        https://github.com/a2o/snoopy/releases/download/%{name}-%{version}/%{name}-%{version}.tar.gz
Source1:        snoopy-disable
Source2:        snoopy-enable

BuildRequires:  automake libtool gcc make hostname socat %{_bindir}/ps

%global _description %{expand:
Snoopy is designed to aid a sysadmin by providing a log of commands executed.
Snoopy is completely transparent to the user and applications.
It is linked into programs to provide a wrapper around calls to execve().
Logging is done via syslog.}

%description %{_description}

%package        compat
Summary:        Compatibility scripts for %{name}
BuildArch:      noarch

Requires:       %{name} = %{version}-%{release}

%description compat %{_description}

This package contains compatibility scripts for Snoopy.

%prep
%autosetup -N
cp -p %{SOURCE1} .
cp -p %{SOURCE2} .

%build
%configure
%make_build

%install
%make_install
for cmd in disable enable; do
  install -p snoopy-${cmd} %{buildroot}%{_sbindir}/
done
rm %{buildroot}%{_libdir}/libsnoopy.la

%files
%license COPYING
%doc README.md ChangeLog doc/FAQ.md doc/FILTER_exclude_spawns_of.md
%{_libdir}/libsnoopy.so*
%{_sbindir}/snoopyctl
%config(noreplace) %{_sysconfdir}/snoopy.ini

%files compat
%{_sbindir}/snoopy-disable
%{_sbindir}/snoopy-enable

%changelog
* Thu Oct 26 2023 QianShi <1835038031@qq.com> - 2.5.1-1
- Initial commit of snoopy package for OpenCloudOS adaptation.
